Package: org.codehaus.groovy.util

## [Java] Class HashCodeHelper

- org.codehaus.groovy.util.HashCodeHelper

- A utility class to help calculate hashcode values using an algorithm similar to that outlined in "Effective Java, Joshua Bloch, 2nd Edition".

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static int` | `initHash()`
    `` | `static int` | `updateHash(int current, boolean var)`
    `` | `static int` | `updateHash(int current, char var)`
    `` | `static int` | `updateHash(int current, Character var)`
    `` | `static int` | `updateHash(int current, int var)`
    `` | `static int` | `updateHash(int current, Integer var)`
    `` | `static int` | `updateHash(int current, long var)`
    `` | `static int` | `updateHash(int current, Long var)`
    `` | `static int` | `updateHash(int current, float var)`
    `` | `static int` | `updateHash(int current, Float var)`
    `` | `static int` | `updateHash(int current, double var)`
    `` | `static int` | `updateHash(int current, Double var)`
    `` | `static int` | `updateHash(int current, Object var)`
    `` | `static int` | `updateHash(int current, boolean[] var)`
    `` | `static int` | `updateHash(int current, char[] var)`
    `` | `static int` | `updateHash(int current, byte[] var)`
    `` | `static int` | `updateHash(int current, short[] var)`
    `` | `static int` | `updateHash(int current, int[] var)`
    `` | `static int` | `updateHash(int current, long[] var)`
    `` | `static int` | `updateHash(int current, float[] var)`
    `` | `static int` | `updateHash(int current, double[] var)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static int initHash()

    - #### public static int updateHash(int current, boolean var)

    - #### public static int updateHash(int current, char var)

    - #### public static int updateHash(int current, Character var)

    - #### public static int updateHash(int current, int var)

    - #### public static int updateHash(int current, Integer var)

    - #### public static int updateHash(int current, long var)

    - #### public static int updateHash(int current, float var)

    - #### public static int updateHash(int current, double var)

    - #### public static int updateHash(int current, Object var)

    - #### public static int updateHash(int current, boolean[] var)

    - #### public static int updateHash(int current, char[] var)

    - #### public static int updateHash(int current, byte[] var)

    - #### public static int updateHash(int current, short[] var)

    - #### public static int updateHash(int current, int[] var)

    - #### public static int updateHash(int current, long[] var)

    - #### public static int updateHash(int current, float[] var)

    - #### public static int updateHash(int current, double[] var)